package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.admin.*;

import java.util.List;

public interface IResourceAllImagesService {
    ResourceAllImgFreeParentModel findAll(ResourceAllImagesSearchModel inputModel);

    ResourceAllImgFreeParentModel findThemesByName(String themeCode);

    List<ResourceAllImagesListModel> findAllList(ResourceAllImagesSearchModel inputModel);

    long findAllListCount(ResourceAllImagesSearchModel inputModel);

    List<ResourceAllImagesListModel> findAllThemeList(ResourceNoImgThemeListModel inputModel);

    long findAllThemeListCount(ResourceNoImgThemeListModel inputModel);

    ResourceAllImgFreeParentModel findResourceById(String  resourceId);

    ResourceAllImagesListModel resourceList(String resourceId);
}
